Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::event_listener Class Reference

Inheritance diagram for openvrml::event_listener:

[legend]
List of all members.

## Detailed Description

Abstract base class of event listeners.

## Public Member Functions

virtual | ~event_listener ()=0 throw ()
| Destroy.
openvrml::node & | node () throw ()
| The `node` to which the `event_listener` belongs.

## Protected Member Functions

| event_listener (openvrml::node &node) throw ()
| Construct.

## Private Attributes

openvrml::node & | node_
| The `node` to which the `event_listener` belongs.

## Constructor & Destructor Documentation

openvrml::event_listener::~event_listener | ( |  | ) | throw ()`[pure virtual]`

| Destroy.

openvrml::event_listener::event_listener | ( | openvrml::node & | node | ) | throw ()`[explicit, protected]`

Construct.

Parameters:

  | node | the `node` to which the `event_listener` belongs.

## Member Function Documentation

node & openvrml::event_listener::node | ( |  | ) | throw ()`[inline]`

The `node` to which the `event_listener` belongs.

Returns:
  the `node` to which the `event_listener` belongs.

## Member Data Documentation

node & openvrml::event_listener::node_ `[private]`

| The `node` to which the `event_listener` belongs. For internal use only.